﻿@model Category 
@{
    ViewData["Title"] = "Create";
}
<div class="row">
    <div class="col-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Create New Category</h4>
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <form class="forms-sample" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label asp-for="Name"></label>
                        <input asp-for="Name" class="form-control" placeholder="Name">
                        <span asp-validation-for="Name" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="IsMain"></label>
                        <input asp-for="IsMain"  placeholder="Name">
                    </div>

                    <div class="form-group d-none" id="photo">
                        <label asp-for="Photo"></label>
                        <input asp-for="Photo" class="form-control " placeholder="Name" accept="image/*" >
                        <span asp-validation-for="Photo" class="text-danger"></span>
                    </div>
                    @*<div class="form-group" id="mainCategory">
                        <select class="form-control"   name="mainCategoryId">
                            @foreach (var item in ViewBag.MainCategories)
                            {
                                <option value="@item.Id">@item.Name</option>
                            }
                        </select>
                    </div>*@
                    <button type="submit" class="btn btn-success mr-2">Save</button>
                    <button class="btn btn-light">Cancel</button>
                </form>
            </div>
        </div>
    </div>
</div>
@section Scripts{
<script>
    if ($("#IsMain").prop("checked")) {
        $("#photo").removeClass("d-none");
        $("#mainCategoryId").addClass("d-none");
    } else {
        $("#photo").addClass("d-none");
        $("#mainCategoryId").removeClass("d-none");
    }
    $(document).on("click", "#IsMain", function () {
        if ($(this).prop("checked")) {
            $("#photo").removeClass("d-none");
            $("#mainCategoryId").addClass("d-none");
        } else {
            $("#photo").addClass("d-none");
            $("#mainCategoryId").removeClass("d-none");
        }
    })
</script>
}

